#ifndef _IP_CONNTRACK_ESP_H
#define _IP_CONNTRACK_ESP_H
/* FTP tracking. */

#ifndef __KERNEL__
#error Only in kernel.
#endif

#include <linux/netfilter_ipv4/lockhelp.h>

/* Protects ftp part of conntracks */
DECLARE_LOCK_EXTERN(ip_esp_lock);

struct esphdr {
	u_int32_t spi;
	u_int32_t seq;
};

/* This structure is per expected connection */
struct ip_ct_esp_expect
{
	/* We record spi and source IP address: all in
	 * host order. */

	u_int32_t spi;	   /* Security Parameter Identifier */
	u_int32_t saddr;   /* source IP address in the orig dir */
	u_int32_t daddr;   /* remote IP address in the orig dir */
};

/* This structure exists only once per master */
struct ip_ct_esp_master {
	u_int32_t spi;
	u_int32_t saddr;
	u_int32_t daddr;
};

#endif /* _IP_CONNTRACK_ESP_H */
